Warning: Problems with 9.2 clients connecting to databases patched to 11.2.0.4…

I mentioned this a couple of days ago on Twitter, but I’ve only just go round to posting here…

I recently had to back out some 11.2.0.4 patches because the patch seems to cause problems with Oracle 9.2 client connections where 11.2.0.3 worked fine. I’m not sure how widespread the problem is. All I can tell you is we had two separate occasions (services) where this happened, so we’ve put a halt on patching to 11.2.0.4 until we can identify and upgrade the old clients.

Why are there 9.2 clients lurking around? In some cases it’s due to certification of legacy apps. In other cases it’s because the service owner has been working on a, “if it ain’t broke, don’t fix it”, basis. I guess now it’s broke, we gotta fix it. :)

If you have legacy client installations lurking around, you might want to tread carefully when testing this patch.

Good luck!

Cheers

Tim…

PS. At this point I am not sure what patch level the 9.2 clients are, so if you have a later patch level you might be OK. See MOS note 207303.1